GNU bug report logs - #56994
[PATCH] Add nmail

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: matf@HIDDEN; Keywords: patch; merged with #57021; dated Fri, 5 Aug 2022 03:45:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 56994 57021. Request was from Mathieu <matf@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56994 <at> debbugs.gnu.org:


Received: (at 56994) by debbugs.gnu.org; 5 Aug 2022 12:30:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 08:30:33 2022
Received: from localhost ([127.0.0.1]:56585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJwTH-0000AQ-Jz
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:30:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:33258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oJwTC-0000A4-1X
 for 56994 <at> debbugs.gnu.org; Fri, 05 Aug 2022 08:30:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 27AE140D83;
 Fri,  5 Aug 2022 14:30:24 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 0xk6_TFc2Qzs; Fri,  5 Aug 2022 14:30:22 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1659702620; bh=n0hpFDA9PPnC3fyl+AbmdrIBizLQtS8XuVvuTFtb3s4=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=FFmQRLZ9fYkpBrbw5C38NXmsZzR/Vwz63cLrZS+UBip7QgxccJ/iGG4yBWk7g4/DG
 vdio5KiPKPBoDVKuRpkxnVjxHbIPy83AsoK5mOGrwxSHj2AwP/P/w8ZS2Y73Hla5q5
 0AR88Lo5TwJqrWvUd1bYwGIMXfTEMtwK7Rpflua+u4FRFqfHekb0ireBps+4NGMQuz
 7xAwgbzf/icLbydee1cPHS2WXUbDfA1tKSku4XvghKAHWFzqrTnCPZPWm+B9O2b2eP
 5j8hgdSQqKaMKega0w8iP+fubYua6T2bKH2HHuLWAXcL4LhXKpxNMgitdutPXyxXi6
 2SHsQd3VnqoVw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Fri, 05 Aug 2022 13:30:19 +0100
Message-Id: <CLY3H5RT7TGF.2D2ROQS8D6IIP@guix-aspire>
From: "(" <paren@HIDDEN>
To: <matf@HIDDEN>, <56994 <at> debbugs.gnu.org>
Subject: Re: [bug#56994] [PATCH] Add nmail
References: <24b34888cb54d3702eaeebf40267d910be9b54bb.1659666096.git.matf@HIDDEN>
In-Reply-To: <24b34888cb54d3702eaeebf40267d910be9b54bb.1659666096.git.matf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56994
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Nice to see you got it working :) Some stylistic nits:

On Fri Aug 5, 2022 at 3:21 AM BST,  wrote:
> From: M <matf@HIDDEN>
>
> ---

You need to write a commit message following the project's conventions. In
this case, it'd be something like:

> gnu: packages: Add nmail.
>
> * gnu/packages/mail.scm: Reorder module imports. Remove
>   duplicate imports.
> (nmail): New variable.

Refer to <https://www.gnu.org/prep/standards/html_node/Change-Logs.html>.
(No, I don't like it much either :))

> +    (arguments
> +     (list #:phases #~(modify-phases %standard-phases
> +                        (replace 'check
> +                          (lambda*
> +                              (#:key tests? #:allow-other-keys)
> +                              (when tests? (invoke "ctest" "--output-on-=
failure")))))))

This part should be reformatted like this:

> (arguments
>  (list #:phases
>        #~(modify-phases %standard-phases
>            (replace 'check
>              (lambda* (#:key tests? #:allow-other-keys)
>                (when tests?
>                  (invoke "ctest" "--output-on-failure")))))))

> +    (inputs (list libetpan
> +                  xapian
> +                  sqlite
> +                  cyrus-sasl
> +                  ncurses
> +                  openssl
> +                  file
> +                  (list util-linux "lib")))

And this as:

> (inputs
>  (list cyrus-sasl
>        file
>        ncurses
>        openssl
>        sqlite
>        (list util-linux "lib")
>        xapian))

> +    (native-inputs (list pkg-config))
> +    (home-page "https://github.com/d99kris/nmail")
> +    (synopsis "Terminal-based email client")
> +    (description
> +     "@command{nmail} is a terminal-based email client with a
> +@code{ncurses} user interface similar to @code{alpine} and @code{pine}."=
)
> +    (license license:expat)))
> +
>  (define-public nullmailer
>    (package
>      (name "nullmailer")
> --=20
> 2.34.0

Other than that, LGTM! :)

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#56994; Package guix-patches. Full text available.

Message received at 56994 <at> debbugs.gnu.org:


Received: (at 56994) by debbugs.gnu.org; 5 Aug 2022 07:50:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 03:50:08 2022
Received: from localhost ([127.0.0.1]:56042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJs5w-0004zx-GS
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 03:50:08 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <matf@HIDDEN>) id 1oJs5q-0004zL-Po
 for 56994 <at> debbugs.gnu.org; Fri, 05 Aug 2022 03:50:07 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6B98740E4A
 for <56994 <at> debbugs.gnu.org>; Fri,  5 Aug 2022 09:50:01 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id s6dRSKm4eCjl for <56994 <at> debbugs.gnu.org>;
 Fri,  5 Aug 2022 09:50:00 +0200 (CEST)
Date: Fri, 5 Aug 2022 09:49:59 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disr.it; s=mail;
 t=1659685800; bh=JMN5FTzwiTkJqgPlurokTSUJfLedbZcblvv0Hr+60Xg=;
 h=Date:From:To:In-Reply-To:References:Subject;
 b=YAQ/rEC7x8Pz7aZGh1ro38VM4gaj0uSCyjcG4fqfgq7EdphxthbWh0NmpFvxYr6Nl
 1/npjf8h2rDP5ZkEbOrOwtc4gWvHPrXexXCQRhyzNkyivI3bKHkxBJT86Z4yfVX+sm
 d7QgMaPcXqaSp9oGTHgUJ5CZKK6WN/iFhtS7JeMuYLzQTkdGd/0UZuQPr0xW5qdl41
 JqieWRvsl2BrLDEXE45iYIq7B+MuhPfbnOLRDtQxvC5e3GGDFjWB0hhI+teJTIQ9Oe
 VcMg6rrCSosXXqtj1Ee5SWWnHz4+waCuN9o+3YWfgQThN4Y1rMWRaRFPtHCHDQXptE
 TxX/7SHZd75rQ==
From: Mathieu <matf@HIDDEN>
To: 56994 <at> debbugs.gnu.org
Message-ID: <b207e400-f103-48ec-be1b-d825bbf8b6d8@HIDDEN>
In-Reply-To: <handler.56994.B.165967108132685.ack <at> debbugs.gnu.org>
References: <handler.56994.B.165967108132685.ack <at> debbugs.gnu.org>
Subject: Re: bug#56994: Acknowledgement ([PATCH] Add nmail)
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56994
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is my first attempt at packaging for Guix, I hope I didn't do any hu=
ge mistakes. And thanks IRC for the massive help I've received to slowly =
progress with Scheme.

I was unsure where to add the =60use-module=60 I needed for =60nmail.scm=60=
 when adding it into =60mail.scm=60, and in the end I think all modules w=
ere all already there, but to check that, I ordered them alphabetically i=
n =60mail.scm=60 and this revealed some duplicates, so the patch reflects=
 that too.





Information forwarded to guix-patches@HIDDEN:
bug#56994; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2022 03:44:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 23:44:41 2022
Received: from localhost ([127.0.0.1]:55594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJoGM-0008V4-Q1
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 23:44:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:58344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <matf@HIDDEN>) id 1oJmyQ-0006PJ-SM
 for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 22:22:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46240)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <matf@HIDDEN>) id 1oJmyQ-0001vG-CV
 for guix-patches@HIDDEN; Thu, 04 Aug 2022 22:22:02 -0400
Received: from knopi.disroot.org ([178.21.23.139]:47708)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <matf@HIDDEN>) id 1oJmyJ-0007rb-VY
 for guix-patches@HIDDEN; Thu, 04 Aug 2022 22:22:02 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B669840E4F;
 Fri,  5 Aug 2022 04:21:51 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id oo6KlZNokOmk; Fri,  5 Aug 2022 04:21:50 +0200 (CEST)
From: matf@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disr.it; s=mail;
 t=1659666110; bh=x2ilHi5OXNN/8cWEpcL1DHnrirdYfi/XxjXr91jZ3qU=;
 h=From:To:Cc:Subject:Date;
 b=fs1WzZdVoQabn8pLY6vLiogn5Om3Uco9X+AhdCQBY8cKy9t6ZkpLFjfIrGl3DeE0W
 4/CQEiGK+h8CW2K4+m70NbNwq4+4YjCjk/EEQAmdWe4QFsp59xAZe5HzI45SBDu0bO
 v5ibLmwSYzeKLzWdxjC1FMvHb4immSkU3aEj0q69GX8oABgaWAY9hm22tRQYunYc/C
 28qhRYCdS0ADMNo6KV21VcqKf0DeAaD6nHGvua1mP7xXEzu26P5Ocss+2+LNwWYyNZ
 /c4OZ1gQWZFM0EgT6xniSug2CUQCdn5euLOADvGpvvXL0IArFm7BrwTGE14QqQQElF
 DM0msfxhTurMw==
To: guix-patches@HIDDEN
Subject: [PATCH] Add nmail
Date: Fri,  5 Aug 2022 04:21:37 +0200
Message-Id: <24b34888cb54d3702eaeebf40267d910be9b54bb.1659666096.git.matf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=178.21.23.139; envelope-from=matf@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 04 Aug 2022 23:44:38 -0400
Cc: M <matf@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: M <matf@HIDDEN>

---
 gnu/packages/mail.scm | 74 ++++++++++++++++++++++++++++++++-----------
 1 file changed, 55 insertions(+), 19 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index ca4b3e819e..0bc6519dd2 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -49,6 +49,7 @@
 ;;; Copyright © 2022 Thiago Jung Bauermann <bauermann@HIDDEN>
 ;;; Copyright © 2022 Guillaume Le Vaillant <glv@HIDDEN>
 ;;; Copyright © 2022 muradm <mail@HIDDEN>
+;;; Copyright © 2022 Mathieu Laparie <mlaparie@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -66,8 +67,6 @@
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
 
 (define-module (gnu packages mail)
-  #:use-module (guix gexp)
-  #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages aspell)
@@ -94,6 +93,7 @@ (define-module (gnu packages mail)
   #:use-module (gnu packages emacs)
   #:use-module (gnu packages enchant)
   #:use-module (gnu packages file)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gawk)
@@ -101,15 +101,14 @@ (define-module (gnu packages mail)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages glib)
-  #:use-module (gnu packages golang)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages groff)
   #:use-module (gnu packages gsasl)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages guile-xyz)
-  #:use-module (gnu packages flex)
   #:use-module (gnu packages haskell-xyz)
   #:use-module (gnu packages icu4c)
   #:use-module (gnu packages kerberos)
@@ -124,13 +123,14 @@ (define-module (gnu packages mail)
   #:use-module (gnu packages lsof)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages m4)
+  #:use-module (gnu packages mail)
   #:use-module (gnu packages man)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages nettle)
   #:use-module (gnu packages networking)
   #:use-module (gnu packages ninja)
-  #:use-module (gnu packages openldap)
   #:use-module (gnu packages onc-rpc)
+  #:use-module (gnu packages openldap)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages perl)
@@ -145,14 +145,14 @@ (define-module (gnu packages mail)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages ragel)
-  #:use-module (gnu packages regex)
   #:use-module (gnu packages rdf)
   #:use-module (gnu packages readline)
+  #:use-module (gnu packages regex)
   #:use-module (gnu packages ruby)
-  #:use-module (gnu packages search)
-  #:use-module (gnu packages serialization)
   #:use-module (gnu packages samba)
   #:use-module (gnu packages screen)
+  #:use-module (gnu packages search)
+  #:use-module (gnu packages serialization)
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tcl)
@@ -164,28 +164,28 @@ (define-module (gnu packages mail)
   #:use-module (gnu packages web)
   #:use-module (gnu packages webkit)
   #:use-module (gnu packages xdisorg)
-  #:use-module (gnu packages xorg)
   #:use-module (gnu packages xml)
-  #:use-module ((guix licenses) #:prefix license:)
-  #:use-module (guix packages)
-  #:use-module (guix deprecation)
-  #:use-module (guix download)
-  #:use-module (guix git-download)
-  #:use-module (guix svn-download)
-  #:use-module (guix utils)
+  #:use-module (gnu packages xorg)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system emacs)
   #:use-module (guix build-system glib-or-gtk)
-  #:use-module (guix build-system go)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system guile)
-  #:use-module (guix build-system emacs)
   #:use-module (guix build-system meson)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system trivial)
-  #:use-module (srfi srfi-1)
+  #:use-module (guix deprecation)
+  #:use-module (guix download)
+  #:use-module (guix gexp)
+  #:use-module (guix git-download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix svn-download)
+  #:use-module (guix utils)
   #:use-module (ice-9 match))
+  #:use-module (srfi srfi-1))
 
 (define-public abook
   (package
@@ -441,6 +441,42 @@ (define-public guile2.2-mailutils
      (modify-inputs (package-inputs mailutils)
        (replace "guile" guile-2.2)))))
 
+(define-public nmail
+  (package
+    (name "nmail")
+    (version "3.74")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/d99kris/nmail/")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "07lkl5syx3l37dhsl41nhmjknhxqgmvwc4il4gygsnr333qk75c9"))))
+    (build-system cmake-build-system)
+    (arguments
+     (list #:phases #~(modify-phases %standard-phases
+                        (replace 'check
+                          (lambda*
+                              (#:key tests? #:allow-other-keys)
+                              (when tests? (invoke "ctest" "--output-on-failure")))))))
+    (inputs (list libetpan
+                  xapian
+                  sqlite
+                  cyrus-sasl
+                  ncurses
+                  openssl
+                  file
+                  (list util-linux "lib")))
+    (native-inputs (list pkg-config))
+    (home-page "https://github.com/d99kris/nmail")
+    (synopsis "Terminal-based email client")
+    (description
+     "@command{nmail} is a terminal-based email client with a
+@code{ncurses} user interface similar to @code{alpine} and @code{pine}.")
+    (license license:expat)))
+
 (define-public nullmailer
   (package
     (name "nullmailer")
-- 
2.34.0





Acknowledgement sent to matf@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56994; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Aug 2022 23:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.